NX Open C++ Reference Guide
List of all members
NXOpen::Features::ShipDesign::ZFrameBuilder Class Reference

   Represents a @link Features::ShipDesign::ZFrameBuilder Features::ShipDesign::ZFrameBuilder@endlink  
    <br> To create a new instance of this class, use @link Features::ShipCollection::CreateZFrameBuilder  Features::ShipCollection::CreateZFrameBuilder @endlink  <br> 


Created in NX5.0.0. More...

Inheritance diagram for NXOpen::Features::ShipDesign::ZFrameBuilder:
NXOpen::Features::ShipDesign::TransFrameBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Additional Inherited Members

- Public Member Functions inherited from NXOpen::Features::ShipDesign::TransFrameBuilder
NXString AttribName ()
 Returns the attribute for name type.
 
NXString AttribRef ()
 Returns the attribute for reference type.
 
NXOpen::Features::ShipDesign::TransFrameListItemBuilderCreateTransFrameListItem ()
 Create a list containing all required info to generate transverse frame.
 
NXString FeatureNameSuffix ()
 Returns the suffix name.
 
int NegateFrame ()
 Returns the reverse index since where frames turn to opposite.
 
void SetAttribName (const NXString &attribName)
 Sets the attribute for name type.
 
void SetAttribName (const char *attribName)
 Sets the attribute for name type.
 
void SetAttribRef (const NXString &attribRef)
 Sets the attribute for reference type.
 
void SetAttribRef (const char *attribRef)
 Sets the attribute for reference type.
 
void SetFeatureNameSuffix (const NXString &featureNameSuffix)
 Sets the suffix name.
 
void SetFeatureNameSuffix (const char *featureNameSuffix)
 Sets the suffix name.
 
void SetNegateFrame (int negateFrame)
 Sets the reverse index since where frames turn to opposite.
 
NXOpen::Features::ShipDesign::TransFrameListItemBuilderListTransFrameNegList ()
 Returns the negative list.
 
NXOpen::Features::ShipDesign::TransFrameListItemBuilderListTransFramePosList ()
 Returns the positive list.
 

Detailed Description

   Represents a @link Features::ShipDesign::ZFrameBuilder Features::ShipDesign::ZFrameBuilder@endlink  
    <br> To create a new instance of this class, use @link Features::ShipCollection::CreateZFrameBuilder  Features::ShipCollection::CreateZFrameBuilder @endlink  <br> 


Created in NX5.0.0.



The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.